# Contributing to C Project Template
We love your input! We want to make contributing to this project as easy and transparent as possible, whether it's:

 - Reporting a bug
 - Discussing the current state of the code
 - Submitting a fix
 - Proposing new features
 - Becoming a maintainer

## Development Process
We use GitLab to host code, to track issues and feature requests, as well as accept pull requests.

## Pull Requests
Pull requests are the best way to propose changes to the codebase (we use [GitHub Flow](https://guides.github.com/introduction/flow/index.html)). We actively welcome your pull requests:

 1. Fork the repo and create your branch from `master`.
 1. If you've added code that should be tested, add tests.
 1. If you've changed APIs, update the documentation.
 1. Ensure the test suite passes.
 1. Make sure your code lints.
 1. Issue that pull request!

## Issues
We use [GitLab issues](https://gitlab.com/jballoffet/c-template/issues) to track bugs. Please ensure your description is clear and has sufficient instructions to be able to reproduce the issue.

## Coding Style
 * Run `make format` to conform to our lint rules

## License
By contributing, you agree that your contributions will be licensed under its [MIT License](LICENSE).
